Search found 1475 matches

by WinterMute
Wed Jul 29, 2020 12:41 pm
Forum: DS/DSi Development
Topic: libnds compiling problem
Replies: 5
Views: 4118

Re: libnds compiling problem

There have been no files hosted on Sourceforge in a couple of years, there's only a link to say we moved.

Your actual issue was that the windows installer wasn't installing anything other than msys and it's all fixed now?
by WinterMute
Tue Jul 28, 2020 9:05 pm
Forum: DS/DSi Development
Topic: libnds compiling problem
Replies: 5
Views: 4118

Re: libnds compiling problem

You probably don't need to compile libnds. The latest version is available via pacman. You definitely shouldn't be compiling libnds there. We recommend not modifying the devkitPro folder at all. The key thing is an msys2 issue with insttructions to resolve at https://github.com/msys2/msys2.github.i...
by WinterMute
Tue Jul 28, 2020 2:41 pm
Forum: devkitARM
Topic: devkitProUpdater-3.0.3 error - folders aren't installed
Replies: 6
Views: 2886

Re: devkitProUpdater-3.0.3 error - folders aren't installed

I tested this yesterday with a fresh install on a windows 7 VM so I'm pretty sure the most recent archive works OK. Are you sure you deleted your local copy of msys-2.10.0.7z? It's a 66769391 byte file with sha256sum of 62f38d5a15c94bfbe0a390c514d64bf780655da6af150440e70f0a06cf3715ba. Did you uninst...
by WinterMute
Mon Jul 27, 2020 2:55 am
Forum: Announcements
Topic: July 2020 updates - libctru, citro3d, citro2d
Replies: 3
Views: 12854

Re: July 2020 updates - libctru, citro3d, citro2d

Quite a few updates for your delight and delectation. 3ds-sdl 1.2.15-14 Fix problems with audio that prevented clean exit 3ds-sdl_image-1.2.12-3 Correct dependencies 3ds-sdl_mixer-1.2.12-9 Correct dependencies libctru-2.0.0-2 Fix condvar implementation libnds-1.8.1-1 Fix unnecessary struct packing l...
by WinterMute
Mon Jul 27, 2020 2:12 am
Forum: GBA Development
Topic: Can't install on ubuntu?
Replies: 6
Views: 2351

Re: Can't install on ubuntu?

I'm now reliably informed that gpg wasn't available until bionic (18.04) so currently 16.04 won't work either. This is what I mean by not equipped for extensive linux distro support. 18.04 should work. 20.04 has been tested. I can adjust the dependencies on the .deb for 16.04 but I'm reasonably sure...
by WinterMute
Mon Jul 27, 2020 1:47 am
Forum: devkitARM
Topic: devkitProUpdater-3.0.3 error - folders aren't installed
Replies: 6
Views: 2886

Re: devkitProUpdater-3.0.3 error - folders aren't installed

Occasionally there are breaking changes in upstream msys2 which unfortunately break the version we install as a base for devkitPro toolchains. I've just updated our version so hopeful this should work for you now. Make sure you remove the partial install and the msys-2.10.0.7z file if it exists. Run...
by WinterMute
Sun Jul 26, 2020 10:37 pm
Forum: Bug Reports
Topic: Downloads server returns error 500
Replies: 3
Views: 1345

Re: Downloads server returns error 500

Minor configuration problem. Was fixed this afternoon. Sorry for the inconvenience.
by WinterMute
Sun Jul 26, 2020 12:38 am
Forum: GBA Development
Topic: Can't install on ubuntu?
Replies: 6
Views: 2351

Re: Can't install on ubuntu?

I don't really understand why gpg wouldn't install on your system now so I can't really guarantee that upgrading would fix it. We're not really equipped for providing extensive linux distro support though. I'm reasonably sure that the binaries we ship won't run on 14.04 though even if you do satisfy...
by WinterMute
Sat Jul 25, 2020 4:41 am
Forum: GBA Development
Topic: Can't install on ubuntu?
Replies: 6
Views: 2351

Re: Can't install on ubuntu?

Ubuntu 14.04 reached end of life in April 2019. We don't support installation on that distro, sorry.

https://www.omgubuntu.co.uk/2019/04/ubu ... nd-of-life

You could try apt-get install -f but you should really upgrade to a newer ubuntu. 16.04 should work but latest LTS is 20.04
by WinterMute
Tue Jul 21, 2020 4:11 pm
Forum: Gamecube/Wii Development
Topic: Need some advice compiling with libfreetype
Replies: 6
Views: 3293

Re: Need some advice compiling with libfreetype

Thanks for stopping by Tantric, much appreciated.

Could you possibly chuck me the config.log from your own freetype build? It is the same version, right?